%define upstream_name    IO-LockedFile
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Supply object methods for locking files
License:	Artistic/GPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch

%description
In its simplistic use, the IO::LockedFile class gives us the same interface of
the IO::File class with the unique difference that the files we deal with are
locked using the Flock mechanism (using the flock function).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes
%{_mandir}/*/*
%{perl_vendorlib}/IO/*




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.230.0-11.mga10
+ Revision: 2199513
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.230.0-10.mga9
+ Revision: 1804127
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-9.mga8
+ Revision: 1495132
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-8.mga7
+ Revision: 1268778
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-7.mga6
+ Revision: 1028731
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.230.0-6.mga6
+ Revision: 937889
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-5.mga5
+ Revision: 750358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 685066
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.230.0-3.mga4
+ Revision: 512246
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 368526
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 12222
- imported package perl-IO-LockedFile


* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.0
+ Revision: 407786
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.23-4mdv2009.0
+ Revision: 257315
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.23-2mdv2008.1
+ Revision: 135856
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-2mdv2008.0
+ Revision: 86508
- rebuild


* Fri Mar 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.23-1mdk
- First Mandriva release

